#pragma once
#include "base_head.h"

class UTILES_EXPORT C_error
{
public:
	//variables-----------------------------
	char modulo[32];//parte del programa que causa el error
	char msg[256];//mensaje de error
	int tipo;//codigo de error
	//constructor---------------------------
	C_error(void);
	virtual ~C_error(void);
	//funciones-----------------------------
	void pon(char *mod, char *mens, int tip=-1);//pone error propio
	void pon_win(char *modulo);//pone error windows
	void aclara(char *mens);//pone aclaracion
	void limpia();//limpia error
};
